Package org.apache.wiki.ui

# Interface GenericHTTPHandler

All Known Subinterfaces:
  `AdminBean`

All Known Implementing Classes:
  `CoreBean`, `FilterBean`, `ModuleBean`, `PlainEditorAdminBean`, `PluginBean`, `SearchManagerBean`, `SimpleAdminBean`, `UserBean`, `WikiFormAdminBean`

public interface GenericHTTPHandler
Provides a generic HTTP handler interface.

## Method Summary

Modifier and Type
Method
Description
`String`
`doGet(Context context)`
Return basic HTML.
`String`
`doPost(Context context)`
Handles a POST response.
`String`
`getId()`
Get an identifier for this particular AdminBean.

## Method Details

### getId

String getId()
Get an identifier for this particular AdminBean. This id MUST conform to URI rules. The ID must also be unique across all HTTPHandlers.

Returns:
  the identifier for the bean

### doGet

String doGet(Context context)
Return basic HTML.

Parameters:
  `context` - associated WikiContext
Returns:
  the HTML for the bean

### doPost

String doPost(Context context)
Handles a POST response.

Parameters:
  `context` - associated WikiContext
Returns:
  the response string resulting from the POST